- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- PlannableUserInterest
- UserInterest
- Try it!
Retrieves Google Audiences (User Interests) available for forecasting.
HTTP request
GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser to list plannable user interests for. |
Query parameters
| Parameters | |
|---|---|
productCategory |
Required. The product category to retrieve plannable user interests for. |
Request body
The request body must be empty.
Response body
Response for reachForecast.retrievePlannableUserInterests.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"plannableUserInterests": [
{
object ( |
| Fields | |
|---|---|
plannableUserInterests[] |
The list of plannable user interests (Google Audiences). |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.
PlannableUserInterest
A plannable user interest used for targeting.
| JSON representation |
|---|
{
"userInterestDisplayName": string,
"userInterestPath": string,
"userInterestType": string,
"userInterest": {
object ( |
| Fields | |
|---|---|
userInterestDisplayName |
Output only. The display name of the interest, for example "Outdoor Enthusiasts". |
userInterestPath |
Output only. The category path of the interest. |
userInterestType |
Output only. The type of audience, e.g., "AFFINITY", "IN_MARKET". |
userInterest |
Output only. The identifier for the user interest. The [productCategory][] specified in the request dictates the field populated in the object.
|
UserInterest
The identifier for a user interest.
| JSON representation |
|---|
{ "userInterestCategory": string, "userInterestUserList": string } |
| Fields | |
|---|---|
userInterestCategory |
Output only. The resource name of the interest category. Populated when |
userInterestUserList |
Output only. The resource name of the user list. Populated when |